PUT
/accounts/{accountId}/users/{userId}/settings
http://service.chime.aws.amazon.com/accounts/{accountId}/users/{userId}/settingsUpdates the settings for the specified user, such as phone number settings.
Access Token Required: API Key
Path Parameters
accountIdstringrequired
The Amazon Chime account ID.
userIdstringrequired
The user ID.
Body Params
UserSettingsobjectrequired
Settings associated with an Amazon Chime user, including inbound and outbound calling and text messaging.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request PUT \2 --url 'http://service.chime.aws.amazon.com/accounts/{accountId}/users/{userId}/settings' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}